Bug 1259757 - unable to log out from vnc session
Summary: unable to log out from vnc session
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1298243 1420851 1479818 1571842
TreeView+ depends on / blocked
 
Reported: 2015-09-03 13:36 UTC by Karel Volný
Modified: 2019-11-14 06:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 08:01:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
video of the problem (1.12 MB, application/ogg)
2015-09-03 13:36 UTC, Karel Volný
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3059 0 None None None 2018-10-30 08:02:32 UTC

Internal Links: 1649592

Description Karel Volný 2015-09-03 13:36:21 UTC
Created attachment 1069850 [details]
video of the problem

Description of problem:
I've been connected to a VNC session. After trying to change language, I got the warning that I have to log out for changes to take effect, which I've tried to do, but nothing happened.

Version-Release number of selected component (if applicable):
gnome-shell-3.14.4-26.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. run 'vncserver' at the host
2. run 'vncviewer host:1' at the client
3. try to logout at the client

Actual results:
nothing happens

Expected results:
the GNOME session ends

Additional info:
all GNOME processes keep running

[0 test@qeos-4 ~]$ ps -f -u test
UID        PID  PPID  C STIME TTY          TIME CMD
test      2071     1  0 09:14 pts/0    00:00:00 /bin/Xvnc :1 -desktop qeos-4:1 (test) -httpd /usr/share/vnc/classes -auth /home/test/.Xauthority -geometry 1024x768 -rfbwait 30000 -rfbauth /home/test/.vnc/pas
test      2076     1  0 09:14 pts/0    00:00:00 /bin/vncconfig -iconic
test      2085     1  0 09:14 pts/0    00:00:00 dbus-launch --sh-syntax --exit-with-session
test      2086     1  0 09:14 ?        00:00:00 /bin/dbus-daemon --fork --print-pid 4 --print-address 6 --session
test      2100     1  0 09:14 ?        00:00:00 /usr/libexec/at-spi-bus-launcher
test      2104  2100  0 09:14 ?        00:00:00 /bin/dbus-daemon --config-file=/etc/at-spi2/accessibility.conf --nofork --print-address 3
test      2109     1  0 09:14 ?        00:00:00 /usr/libexec/at-spi2-registryd --use-gnome-session
test      2116     1  0 09:14 ?        00:00:00 /usr/libexec/gvfsd
test      2120     1  0 09:14 ?        00:00:00 /usr/libexec/gvfsd-fuse /home/test/.gvfs -f -o big_writes
test      2133     1  0 09:14 pts/0    00:00:00 /usr/libexec/gnome-settings-daemon
test      2156     1  0 09:14 pts/0    00:00:06 /usr/bin/gnome-shell
test      2167     1  0 09:14 ?        00:00:00 /usr/bin/pulseaudio --start --log-target=syslog
test      2261     1  0 09:14 ?        00:00:00 /usr/libexec/gnome-shell-calendar-server
test      2265     1  0 09:14 ?        00:00:00 /usr/libexec/evolution-source-registry
test      2272     1  0 09:14 ?        00:00:00 /usr/libexec/mission-control-5
test      2280     1  0 09:14 ?        00:00:00 /usr/libexec/caribou
test      2281     1  0 09:14 ?        00:00:00 /usr/libexec/goa-daemon
test      2287     1  0 09:14 ?        00:00:00 /usr/libexec/gvfs-udisks2-volume-monitor
test      2301     1  0 09:14 ?        00:00:00 /usr/libexec/goa-identity-service
test      2306     1  0 09:14 ?        00:00:00 /usr/libexec/gvfs-gphoto2-volume-monitor
test      2313     1  0 09:14 ?        00:00:00 /usr/libexec/gvfs-afc-volume-monitor
test      2321     1  0 09:14 ?        00:00:00 /usr/libexec/gvfs-mtp-volume-monitor
test      2328     1  0 09:14 ?        00:00:00 /usr/libexec/gvfs-goa-volume-monitor
test      2360     1  0 09:14 pts/0    00:00:00 /usr/libexec/tracker-miner-apps
test      2362     1  0 09:14 pts/0    00:00:00 /usr/libexec/tracker-miner-fs
test      2368     1  0 09:14 pts/0    00:00:00 /usr/bin/seapplet
test      2369     1  0 09:15 pts/0    00:00:00 /usr/libexec/tracker-extract
test      2371     1  0 09:15 pts/0    00:00:00 /usr/libexec/tracker-miner-user-guides
test      2374     1  0 09:15 pts/0    00:00:00 /usr/bin/gnome-software --gapplication-service
test      2390     1  0 09:15 pts/0    00:00:00 rhsm-icon
test      2400     1  0 09:15 ?        00:00:00 /usr/libexec/tracker-store
test      2407     1  0 09:15 ?        00:00:00 /usr/libexec/gconfd-2
test      2408     1  0 09:15 ?        00:00:00 /usr/libexec/evolution-calendar-factory
test      2420     1  0 09:15 ?        00:00:00 /usr/libexec/gvfsd-trash --spawner :1.5 /org/gtk/gvfs/exec_spaw/0
test      2534  2156  0 09:15 pts/0    00:00:01 gnome-control-center --overview
test      2893 23730  0 09:28 pts/0    00:00:00 ps -f -u test
test     23730 23729  0 04:11 pts/0    00:00:00 -bash

Comment 2 Rui Matos 2015-09-08 16:43:24 UTC
Did you run vncserver from and ssh session? Was gdm.service running?

Comment 3 Karel Volný 2015-09-09 10:57:39 UTC
(In reply to Rui Matos from comment #2)
> Did you run vncserver from and ssh session?

yes

> Was gdm.service running?

no

Comment 21 Jan Grulich 2018-05-30 08:06:37 UTC
Fixed with tigervnc-1.8.0-6.el7.

Comment 34 Tomas Hudziec 2018-08-28 17:00:26 UTC
Version 1.8.0-11 generates following default xstartup file:

```
#!/bin/sh

unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
/etc/X11/xinit/xinitrc
vncserver -kill $DISPLAY
```

with which logging out works fine.
It works also with gnome-session instead of xinitrc.

Comment 36 errata-xmlrpc 2018-10-30 08:01:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3059


Note You need to log in before you can comment on or make changes to this bug.